## org.w3c.jigsaw.servlet
Class JigsawRequestDispatcher

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.JigsawRequestDispatcher

public class JigsawRequestDispatcher
extends java.lang.Object
implements javax.servlet.RequestDispatcher

Field Summary
`static java.lang.String` `CONTEXT_PATH_P`
`static java.lang.String` `PATH_INFO_P`
`static java.lang.String` `QUERY_STRING_P`
`static java.lang.String` `REQUEST_URI_P`
`static java.lang.String` `SERVLET_PATH_P`

Constructor Summary
`protected` `JigsawRequestDispatcher(java.lang.String urlpath, httpd server)`

Method Summary
`void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`static javax.servlet.RequestDispatcher` `getRequestDispatcher(java.lang.String urlpath, httpd server, ResourceReference rr)` Get the appropriate dispatcher
`static javax.servlet.RequestDispatcher` `getRequestDispatcher(java.lang.String name, ResourceReference rr, httpd server)` Get the appropriate dispatcher
`void` `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_URI_P

    public static final java.lang.String REQUEST_URI_P

### CONTEXT_PATH_P

    public static final java.lang.String CONTEXT_PATH_P

### SERVLET_PATH_P

    public static final java.lang.String SERVLET_PATH_P

### PATH_INFO_P

    public static final java.lang.String PATH_INFO_P

### QUERY_STRING_P

    public static final java.lang.String QUERY_STRING_P

Constructor Detail

### JigsawRequestDispatcher

    protected JigsawRequestDispatcher(java.lang.String urlpath,
                                      httpd server)

Method Detail

### forward

    public void forward(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    forward in interface javax.servlet.RequestDispatcher

### include

    public void include(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    include in interface javax.servlet.RequestDispatcher

### getRequestDispatcher

    public static javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String name,
                                                                       ResourceReference rr,
                                                                       httpd server)

  Get the appropriate dispatcher
  Parameters:
    `name` - The servlet name
    `rr` - the ServletContainer (ServletDirectoryFrame) reference
    `server` - the HTTP server
  Returns:
    the RequestDispatcher

### getRequestDispatcher

    public static javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String urlpath,
                                                                       httpd server,
                                                                       ResourceReference rr)

  Get the appropriate dispatcher
  Parameters:
    `urlpath` - the servlet URI
    `server` - the HTTP server
    `rr` - the ServletContainer reference or a servlet reference (Just used for Virtual Host)
  Returns:
    the RequestDispatcher